function ExperimentalData 
% Updated in May 25, 2011

clear all; close all;
clc
%==========================================================================
%% 1 Krusctrup 's data for CON subjects for whole tissue 
texp_Tis_CON_1 = [0  5  8   25]';       
Cexp_Tis_CON_1 =...
          [544      544     498     487          % Glycogen in tissue 
           6.0      6.0     11.3    9.5          % Lactate in tissue
           85.6     85.6    69.8    70.8         % Tissue PCr
           0.9      0.9     1.3     1.4          % blood lactate 
           0.77     0.77    0.87    0.86]';      % RER  
       
Cexp_Tis_ErrorL_CON_1 =...
          [39       39      49      38           % Glycogen
           0.9      0.9     2.2     1.5          % Lactate
           3.2      3.2     3.5     4.9          % PCr
           0.1      0.1     0.1     0.1          % blood lactate     
           0.02     0.02    0.03    0.01]';      % RER 
Cexp_Tis_ErrorU_CON_1  = -Cexp_Tis_ErrorL_CON_1 ; 
%==========================================================================
% Response in fiber CON subject
texp_Fiber_CON_1 = [0  5   25]';   
Cexp_Fiber_CON_1=...
          [293     293        204                % Glycogen in type I       
           320     320        290                % glycogen in type II 
           21.9    21.9       21.0               % ATP in type I
           22.4    22.4       22.1               % ATP in type II fiber   
           62      62         55                 % PCr in I
           70      70         73                 % PCr in II   
           6.6     6.0        9.5]';             % Tissue Lactate 
   
Cexp_Fiber_ErrorL_CON_1 =...
           [24     24         17                 % Glycogen  in I       
            30     30         31                 % Glycogne in II
            0.8    0.8        1.0                % ATP in I
            0.8    0.8        0.8                % ATP in II 
            3      3          6                  % PCr in I
            4      4          6                  % Pcr in II  
            0.9    0.9        1.5]';             % Tissue lactate 
       
Cexp_Fiber_ErrorU_CON_1 = -Cexp_Fiber_ErrorL_CON_1;
%==========================================================================
%texp_VO2_CON

%==========================================================================
%==========================================================================
%% 2 Glycogen depletion group
% in whole tissue 
texp_Tis_DEP_2 = [0  5  8   25]';       
Cexp_Tis_DEP_2 =...
          [252     252    239     218            % Glycogen in tissue 
           5.0      5.0   6.2     8.3            % Lactate in tissue
           88.3    88.3   72.2    71.0           % Tissue PCr
           0.9     0.9    0.9     0.8            % blood lactate 
           0.73    0.73   0.75    0.79]';        % RER  
       
Cexp_Tis_ErrorL_DEP_2 =...
          [14     14      29      19             % Glycogen
           1.1    1.1     0.8     2.1            % Lactate
           1.2    1.2     4.0     4.3            % PCr
           0.1    0.1     0.1     0.1            % blood lactate     
           0.02   0.02    0.02    0.01]';        % RER 
Cexp_Tis_ErrorU_DEP_2  = -Cexp_Tis_ErrorL_DEP_2 ; 
% in fibers 
texp_Fiber_DEP_2 = [0  5   25]';   
Cexp_Fiber_DEP_2 =...
          [  92       92     84                  % Glycogen in type I       
             220     220     149                 % Glycogen in type II 
             22.9    22.9    22.7                % ATP in type I
             23.2    23.2    23.6                % ATP in type II fiber   
             60      60      42.5                % PCr in I
             68      68      50.1                % PCr in II   
             5.0     5.0     8.3]';              % Tissue Lactate 
   
Cexp_Fiber_ErrorL_DEP_2 =...
          -[ 22    22    13                      % Glycogen  in I       
             37    37    18                      % Glycogne in II
             0.5   0.5    0.1                    % ATP in I
             0.5   0.5    0.1                    % ATP in II 
             3      3     5                      % PCr in I
             5      5     10                     % Pcr in II  
             1.1    1.1   2.1]';                 % Tissue lactate 
Cexp_Fiber_ErrorU_DEP_2 =- Cexp_Fiber_ErrorL_DEP_2;         
%==========================================================================
%==========================================================================
%% 3 Experimental data from other Normal condition for prediction , which are
% obtained from previous studies.
%**************************************************************************
%      Compare with experiment data during Moderate Exercise: Species Concentration
%**************************************************************************
%Experiment data come from 
%1) Putman et al, AJP 275, E132-E139, 1998          65%     15min  
%2) Watt et al, J Physiol. 547.1 p301-308, 2003     60%     10min
%3) Watt et al, J Physiol. 534.1 pp269-278, 2001    58+/-2% 20min
%4) Howlett et al, AJP 275, R418-R425, 1998         65%     10min
%5) Phillips et al, AJP 270, E265-E272, 1996        59%     15min
%6) Parolin et al, AJP 278, E522-E534,2000          55%     15min  (new with dynamic data)
%7) Sahlin et al, BJ 245, 551-556, 1987             75%(too high,not use)   
%8) Ren et al, BJ,251, 183-187, 1988                75%(too high,not use) 
%==========================================================================
texp_Tis_CON_3a = [0 5 6 20]';        %here one new time point t = 6 min is added
Cexp_Tis_CON_3a =...
          [3.0      3.0        3.8       6.5        %Glucose   [Ref 6] 1  
           1.6      1.6        3.9       3.3        %G6P       [Ref 6] 3
           0.17     0.17       0.51      0.33       %F6P       [Ref 6] 4
           0.2      0.2        0.23      0.43       %Pyr       [Ref 6]10  
           4.5      4.5        12        21]';      %LAC       [Ref 6]11
%note: the marked species means that the point at 1min are estimated(no
%true data)
%*******************************************************************************
% Error lower bounds in the experimental data.
%*******************************************************************************
Cexp_Tis_ErrorL_CON_3a  = ...
         -[0.6      0.6         0.7         2.6     %Glucose   [Ref 6] 1
           0.2      0.2         0.7         0.5     %G6P       [Ref 6] 3
           0.04     0.04        0.11        0.07    %F6P       [Ref 6] 4
           0.04     0.04        0.02        0.11    %Pyr       [Ref 6]10  
           0.4      0.4         3.5         3.6]';  %LAC       [Ref 6]11        
Cexp_Tis_ErrorU_CON_3a  = - Cexp_Tis_ErrorL_CON_3a ;
%*******************************************************************************
texp_Tis_CON_3b = [0 5 20]';    
Cexp_Tis_CON_3b =...
          [454.1    454.1           348.4         %Glycogen  [Ref 1] 2  **
           24.0     24.0            23.1          %ATP       [Ref 1] 7
           85.3     85.3            63.5          %PCr       [Ref 3] 8  **     
           43.8     43.8            63.0          %Cr        [Ref 3] 9  **  
           270^(-1) 270^(-1)        113^(-1)      %NADH/NAD  [Ref 5]12  ** 
           0.35     0.35            0.8           %Glucose Uptake rate [Ref 1]  
          -0.12     -0.12          -1.5]';        %lactate release rate [Ref 1]
%*******************************************************************************
Cexp_Tis_ErrorL_CON_3b  = ...
         -[13.9         13.9          42.84       %Glycogen  [Ref 1] 2 
           1.0          1.0           1.1         %ATP       [Ref 1] 7
           1.8          1.8           6.2         %PCr       [Ref 3] 8       
           4.0          4.0           8.1         %Cr        [Ref 3] 9
           41/270^2     41/270^2      22/113^2    %NADH/NAD  [Ref 5]12   
           0.05         0.05          0.2         %Glucose Uptake rate [Ref 1]  
           0.01         0.01          0.3]';      %lactate release rate [Ref 1]
Cexp_Tis_ErrorU_CON_3b= - Cexp_Tis_ErrorL_CON_3b ;
%*******************************************************************************
%==========================================================================
%==========================================================================
%%  4 Experimental data from other glycogen depletion for model prediction, 
% Gibala et al, JP, 540.3, 1079-1086, 2002      at 70% VO2max for 10 min
texp_Tis_DEP_4 =[0 5 6 15]; 
Cexp_Tis_DEP_4 = [ 258   258     250     200      % Glycogen   1
                   0.67  0.67    0.46    0.86     % Citrate    2
                   0.21  0.21    0.96    1.18     % Succinate  3  
                   0.05  0.05    0.30    0.64     % Fumarate   4
                   0.25  0.25    1.92    2.70     % Malate     5
                   4.0   4.0     6.7     10.0     % Alanine    6
                   95    95      58      50       % PCr        7
                   43.3  43.3    81.4    89.0     % Cr         8
                   26.3  26.3    26.2    25.7     % ATP        9
                   1.7   1.7     19.2    17.3]';  % Lactate    10
Cexp_Tis_ErrorL_DEP_4 = ...           
                 - [0     0       0      10       % Glycogen   1
                    0.07  0.07    0.04   0.07     % Citrate    2
                    0.02  0.02    0.10   0.10     % Succiante  3
                    0     0       0.04   0.08     % Fumarate   4
                    0.03  0.03    0.20   0.26     % Malate     5
                    0.2   0.2     0.5    0.7      % Alanine    6 
                    3     3       5      5        % PCr        7
                    3.0   3.0     4.8    5.5      % Cr         8
                    0.3   0.3     0.5    0.8      % ATP        9
                    0.2   0.2     3.3    4.0]';   % Lactate    10
                    
Cexp_Tis_ErrorU_DEP_4 = -Cexp_Tis_ErrorL_DEP_4; 
%==========================================================================
%==========================================================================
%% 5)Experimental data from  Krustup JP. (2008) for prediction   
texp_5= [0 5 15];
Cexp_Tis_5_CON = [86.1    86.1      56.5          % Muscle PCr
                  5.2     5.2       21.4          % muscle Lactate   
                  432     432       384]';        % Glycogen     
Cexp_Tis_5_ErrorL_CON=-[ 3.1  3.1  10.1            % muscle PCr
                         1.3  1.3  8.9            % Lactate 
                         33   33   40]';          % Glycogen
Cexp_Tis_5_ErrorU_CON = -Cexp_Tis_5_ErrorL_CON;                      

Cexp_Fiber_5_CON = [65      65      45              % Type I PCr
                    65      65      50]';           % Type II PCr 
Cexp_Fiber_5_ErrorL_CON =- [8   8    7   
                           8    8    6]';                    
                                              
Cexp_Fiber_5_ErrorU_CON = -Cexp_Fiber_5_ErrorL_CON;                  
%--------------------------------------------------------------------------
Cexp_Tis_5_CUR = [95.8    95.8      65.5          % Muscle PCr
                  4.4     4.4       19.7          % muscle Lactate   
                  386     386       332]';        % Glycogen     
Cexp_Tis_5_ErrorL_CUR=-[ 3.0  3.0  7.1            % muscle PCr
                         1.0  1.0  5.5            % Lactate 
                         46   46   49]';          % Glycogen
Cexp_Tis_5_ErrorU_CUR = -Cexp_Tis_5_ErrorL_CUR;                      

Cexp_Fiber_5_CUR = [65      65      55              % Type I PCr
                    77      77      55]';           % Type II PCr 
Cexp_Fiber_5_ErrorL_CUR =- [5    5    5   
                            8    8    8]';                    
Cexp_Fiber_5_ErrorU_CUR = -Cexp_Fiber_5_ErrorL_CUR;                
%--------------------------------------------------------------------------
% texp_5_Q_CON = [0    25   60    90   120  180  390   600]';
% Q_CON =        [1.4  2.8  2.83  3.1  3.2  3.2  3.2   3.1]';
% texp_5_Q_CUR = [0    35   80    90   120  180  400   600]';    
% Q_CUR =        [1.8   2.85 3.2   4.2  4.3  4.4  4.6   4.5]';
texp_5_Q_CON = [0    60   85    120  150  180  240  450 660  720]';
Q_CON =        [0.9  1.4  2.8  2.83  3.1  3.2  3.2  3.2  3.1 3.1]';
texp_5_Q_CUR = [0    60   95   140   150  180  240  460 660  720]';    
Q_CUR =        [0.9  1.8  2.85  3.2  4.2  4.3  4.4  4.6  4.5  4.5]';

%--------------------------------------------------------------------------
%  Lactate release 
texp_5_Lac_CON=[0    10   20  45   60   80  130  190  370  600]';
URR_Lac_CON =  [0   0.05 0.25 1.6  1.95 2.05 2.9 3.3  2.8  2.6]';
URR_Lac_ErrorL_CON =-[ ...
                0.01 0.05 0.1  0.4  0.2  0.3 0.3  0.7  0.5  0.5]';    
URR_Lac_ErrorU_CON = -URR_Lac_ErrorL_CON ;

texp_5_Lac_CUR=[0   10   20   45   60   80  130  230  390  600]';
URR_Lac_CUR =  [-0.2 0.05 0.2 1.3 1.8  2.8  3.1  3   3.3  3.7]';
URR_Lac_ErrorL_CUR =-[ ...
                0.02 0.05 0.1 0.3  0.2  0.6 0.4  0.5  0.8  0.6]';    
URR_Lac_ErrorU_CUR = -URR_Lac_ErrorL_CUR;

%--------------------------------------------------------------------------
% O2 uptake 
t_VO2_CON4 =  [0   20   40   60    80    130    190    370   600]';
VO2_CON =[50  190  350  360   400   410    430    470   475]';
t_VO2_CUR4 =  [0   20   40   60    80    130    210    420   600]';
VO2_CUR =[50  180  330   350  390   500    530    560   540]';  

%==========================================================================
save Exp_CON.mat texp_Tis_CON_1   Cexp_Tis_CON_1   Cexp_Tis_ErrorL_CON_1   Cexp_Tis_ErrorU_CON_1  ...  % Condition 1  tissue  
                 texp_Fiber_CON_1 Cexp_Fiber_CON_1 Cexp_Fiber_ErrorL_CON_1 Cexp_Fiber_ErrorU_CON_1...  % Condition 1  fiber 
                 texp_Tis_CON_3a  Cexp_Tis_CON_3a  Cexp_Tis_ErrorL_CON_3a  Cexp_Tis_ErrorU_CON_3a ...  % Condition 3  tissue 
                 texp_Tis_CON_3b  Cexp_Tis_CON_3b  Cexp_Tis_ErrorL_CON_3b  Cexp_Tis_ErrorU_CON_3b...   % Condition 3  tissue 
                 texp_5           Cexp_Tis_5_CUR   Cexp_Tis_5_ErrorL_CUR   Cexp_Tis_5_ErrorU_CUR       % Condition 5 
save Exp_DEP.mat texp_Tis_DEP_2   Cexp_Tis_DEP_2   Cexp_Tis_ErrorL_DEP_2   Cexp_Tis_ErrorU_DEP_2...    % Condition 2  tissue 
                 texp_Fiber_DEP_2 Cexp_Fiber_DEP_2 Cexp_Fiber_ErrorL_DEP_2 Cexp_Fiber_ErrorU_DEP_2...  % Condition 2  fiber
                 texp_Tis_DEP_4   Cexp_Tis_DEP_4   Cexp_Tis_ErrorL_DEP_4   Cexp_Tis_ErrorU_DEP_4...    % Condition 4  Tissue 

save Exp_MOD4    texp_5           Cexp_Tis_5_CON   Cexp_Tis_5_ErrorL_CON    Cexp_Tis_5_ErrorU_CON...
                                  Cexp_Fiber_5_CON Cexp_Fiber_5_ErrorL_CON  Cexp_Fiber_5_ErrorU_CON...
                                  Cexp_Tis_5_CUR   Cexp_Tis_5_ErrorL_CUR    Cexp_Tis_5_ErrorU_CUR ...
                                  Cexp_Fiber_5_CUR Cexp_Fiber_5_ErrorL_CUR  Cexp_Fiber_5_ErrorU_CUR... 
                texp_5_Q_CON      Q_CON            texp_5_Q_CUR             Q_CUR  ...
                texp_5_Lac_CON    URR_Lac_CON      URR_Lac_ErrorL_CON       URR_Lac_ErrorU_CON...
                texp_5_Lac_CUR    URR_Lac_CUR      URR_Lac_ErrorL_CUR       URR_Lac_ErrorU_CUR ...
                t_VO2_CON4         VO2_CON         t_VO2_CUR4                VO2_CUR       
