function [MRR]=Sub_D_NetReaction(Rflux)

PROD = zeros(50,1);  
PROD(1) = 0;                                    % Glucose
PROD(2) = Rflux(10);                            % Pyruvate
PROD(3) = Rflux(11);                            % Lactate
PROD(4) = Rflux(19);                            % Alanine
PROD(5) = Rflux(12);                            % Glycerol
PROD(6) = 3*Rflux(12);                          % Free Fatty Acid
PROD(7) = 0;                                    % CO2
PROD(8) = 0;                                    % O2
PROD(9) = Rflux(1)+ Rflux(4) ;                  % G6P
PROD(10) = 0;                                   % G1P (neglect) 

PROD(11) = Rflux(3);                            % Glycogen
PROD(12) = Rflux(5);                            % F6P
PROD(13) = Rflux(6);                            % F16BP
PROD(14) = 2*Rflux(7);                          % GA3P
PROD(15) = Rflux(8);                            % 13BPG
PROD(16) = Rflux(9);                            % PEP
PROD(17) = Rflux(14);                           % Tgl
PROD(18) = Rflux(13);                           % G3P

PROD(19) = Rflux(15);                           % FAC
PROD(20) = 0;                                   % PCR
PROD(21) = Rflux(18);                           % Creatine
PROD(22) = Rflux(18) + Rflux(10)+ Rflux(9);     % ATP
PROD(23) = Rflux(16) + Rflux(1) + Rflux(6) + Rflux(3) + 2*Rflux(17)+ 2*Rflux(15);     % ADP
PROD(24) = 0;                                   % AMP
PROD(25) = 2*Rflux(3)+ 2*Rflux(15)+ Rflux(14)+Rflux(16);   % Pi
PROD(26) = 3*Rflux(14);                         % CoA
PROD(27) = Rflux(8);                            % NADH
PROD(28) = Rflux(11)+ Rflux(13);                % NAD
PROD(29) = Rflux(1)+ Rflux(6)+ Rflux(8)+ 3*Rflux(12)+ 2*Rflux(15)+ Rflux(16);     % H

PROD(30) = 0;                                   % Mitochondria O2
PROD(31) = Rflux(20)+ Rflux(23)+ Rflux(24);     % Mitochondria CO2
PROD(32) = 0;                                   % Mitochondria Pyr
PROD(33) = 0;                                   % Mitochondria FAC
PROD(34) = Rflux(20)+ Rflux(23)+ Rflux(24)+ Rflux(27)+7*Rflux(21);     % Mitochondria NADH
PROD(35) = Rflux(28);                           % Mitochondria NAD
PROD(36) = Rflux(25)+ Rflux(30);                % Mitochondria ATP
PROD(37) = 0;                                   % Mitochondria ADP
PROD(38) = 0;                                   % Mitochondria Pi
PROD(39) = Rflux(25) + Rflux(22);               % Mitochondria CoA
PROD(40) = Rflux(20)+ 7*Rflux(21)+ Rflux(22)+ Rflux(27)+ Rflux(31) +3*Rflux(30); 
                                                % Mitochondria H
PROD(41) = 8*Rflux(21) + Rflux(20);             % Mitochondria ACoA
PROD(42) = Rflux(22);                           % Mitochondria Cit
PROD(43) = Rflux(23);                           % Mitochondria AKG
PROD(44) = Rflux(24);                           % Mitochondria SCoA
PROD(45) = Rflux(25);                           % Mitochondria Succ
PROD(46) = Rflux(26);                           % Mitochondria Mal
PROD(47) = Rflux(27);                           % Mitochondria Oxa
PROD(48) = 7*Rflux(21) + Rflux(26) ;            % Mitochondria FADH2
PROD(49) = Rflux(29);                           % Mitochondria FAD
PROD(50) = 10*Rflux(28) +6*Rflux(29);           % membrane potential
%--------------------------------------------------------------------------
UTIL = zeros(50,1);  
UTIL(1) = Rflux(1);                             % Glucose
UTIL(2) = Rflux(11) + Rflux(19);                % Pyruvate
UTIL(3) = 0;                                    % Lactate
UTIL(4) = 0;                                    % Alanine
UTIL(5) = 0;                                    % Glycerol
UTIL(6) = Rflux(15);                            % Free Fatty Acid
UTIL(7) = 0;                                    % CO2
UTIL(8) = 0;                                    % O2
UTIL(9) = Rflux(5)+Rflux(3) ;                   % G6P
UTIL(10) = 0;                                   % G1P

UTIL(11) = Rflux(4);                            % Glycogen
UTIL(12) = Rflux(6);                            % F6P
UTIL(13) = Rflux(7);                            % F16BP
UTIL(14) = Rflux(8)+ Rflux(13);                 % GA3P
UTIL(15) = Rflux(9);                           % 13BPG
UTIL(16) = Rflux(10);                           % PEP
UTIL(17) = Rflux(12);                           % Tgl
UTIL(18) = Rflux(14);                           % G3P
UTIL(19) = 3*Rflux(14);                         % FAC
UTIL(20) = Rflux(18);                           % PCR

UTIL(21) = 0;                                   % Creatine
UTIL(22) = Rflux(17) + Rflux(16) + Rflux(1) + Rflux(6)+Rflux(3)+2*Rflux(15);  % ATP
UTIL(23) = Rflux(18) + Rflux(10) + Rflux(9);    % ADP
UTIL(24) = Rflux(17);                           % AMP
UTIL(25) = Rflux(4) + Rflux(8);                 % Pi
UTIL(26) = Rflux(15);                           % CoA
UTIL(27) = Rflux(11) + Rflux(13);               % NADH
UTIL(28) = Rflux(8);                            % NAD
UTIL(29) = Rflux(10)+ Rflux(11)+ Rflux(13)+ Rflux(18)+Rflux(31);     % H
UTIL(30) = (Rflux(28) + Rflux(29))/2;           % Mitochondria O2

UTIL(31) = 0;                                   % Mitochondria CO2
UTIL(32) = Rflux(20);                           % Mitochondria Pyr
UTIL(33) = Rflux(21);                           % Mitochondria FAC
UTIL(34) = Rflux(28);                           % Mitochondria NADH
UTIL(35) = Rflux(20) + Rflux(23) + Rflux(24) + Rflux(27)+ 7*Rflux(21); % Mitochondria NAD
UTIL(36) = 0;                                   % Mitochondria ATP
UTIL(37) = Rflux(30) + Rflux(25);               % Mitochondria ADP
UTIL(38) = Rflux(30) + Rflux(25);               % Mitochondria Pi
UTIL(39) = 7*Rflux(21) + Rflux(20) + Rflux(24); % Mitochondria CoA
UTIL(40) = Rflux(28)+ Rflux(30)+ 10*Rflux(28) + 6*Rflux(29);  % Mitochondria H

UTIL(41) = Rflux(22);                           % Mitochondria ACoA
UTIL(42) = Rflux(23);                           % Mitochondria Cit
UTIL(43) = Rflux(24);                           % Mitochondria AKG
UTIL(44) = Rflux(25);                           % Mitochondria SCoA
UTIL(45) = Rflux(26);                           % Mitochondria Succ
UTIL(46) = Rflux(27);                           % Mitochondria Mal
UTIL(47) = Rflux(22);                           % Mitochondria Oxa
UTIL(48) = Rflux(29);                           % Mitochondria FADH2
UTIL(49) = 7*Rflux(21) + Rflux(26);             % Mitochondria FAD
UTIL(50) = 3*Rflux(30)+Rflux(31);               % membrane potential
%--------------------------------------------------------------------------
MRR = zeros(50,1);
MRR = PROD - UTIL; 
%******************************************************************************
%                  END OF THE Subroutine
%******************************************************************************

