function [Ccdot]=Sub_E_MassBalance(Cc, MRR,URR, Vceff, Vmeff)

Beta_c = 6.657744516629294e+000;                          % Buffer capacity in cytosol [mmol/pH]
Beta_m = 25;                                         % Buffer capacity in mito [mmol/pH]  
  
%**************************************************************************

Ccdot = zeros(50,1);

%**************************************************************************
Ccdot(1) = (MRR(1) + URR(1))  / Vceff(1);                       %Glucose
Ccdot(2) = (MRR(2) + URR(2) - URR(32))/ Vceff(2);               %pyruvate
Ccdot(3) = (MRR(3) + URR(3))/ Vceff(3);                         %Lactate
Ccdot(4) = (MRR(4) + URR(4))/ Vceff(4);                         %Alanine
Ccdot(5:28)  = (MRR(5:28) + URR(5:28))./ Vceff(5:28);              
%*******************
Ccdot(7)  = (MRR(7)  + URR(7)  - URR(31))/ Vceff(7);            %CO2
Ccdot(8)  = (MRR(8)  + URR(8)  - URR(30))/ Vceff(8);            %O2
Ccdot(19) = (MRR(19) + URR(19) - URR(33))/ Vceff(19);           %FAC
Ccdot(22) = (MRR(22) + URR(22) - URR(36))/ Vceff(22);           %ATP
Ccdot(23) = (MRR(23) + URR(23) - URR(37))/ Vceff(23);           %ADP
Ccdot(25) = (MRR(25) + URR(25) - URR(38))/ Vceff(25);           %Pi
Ccdot(26) = (MRR(26) + URR(26) - URR(39))/ Vceff(26);           %CoA
Ccdot(27) = (MRR(27) + URR(27) - URR(34))/ Vceff(27);           %NADH
Ccdot(28) = (MRR(28) + URR(28) - URR(35))/ Vceff(28);           %NAD
Ccdot(29)  = (URR(29)- URR(40)+2.303*Cc(29)*MRR(29)/Beta_c)/ Vceff(29)/1000;   %H in cytosol         

%**************************************************************************
Ccdot(30:50) = (MRR(30:50) + URR(30:50))./ Vmeff(30:50);                   
Ccdot(40) =(URR(40)+ 2.303*Cc(40)*MRR(40)/Beta_m)/Vmeff(40);      
%**************************************************************************
%                 End of subroutine 
%**************************************************************************
