function [Vmaxf Vmaxb]= Sub_Parameter(Kf, Kb, Km,nH, Rflux,Cc)

Vmaxf =zeros(31,1);
Vmaxb =zeros(31,1);
fact  = zeros(31,1);
Ctrl  = ones (31,1);

%*************************************************************************
Keq_0 = zeros(31,1);
%Keq_0 = dlmread('RestingKeq.txt');                        %Adjusted Keq 
load DeltaG
%--------------------------------------------------------------------------
%                             Flux in Cytosol 
%--------------------------------------------------------------------------

% Hexokinase:                 Glc + ATP-> G6P+ADP +H
Ctrl(1) =Km(1)^nH(1)/(Km(1)^nH(1) + Cc(9)^nH(1));         %G6P feedback inhibition  
fact(1) = Ctrl(1)*(Cc(1)*Cc(22) - Cc(9)*Cc(23)*Cc(29)/Keq_0(1))/(1+Cc(1)*Cc(22)/Kf(1)+ Cc(9)*Cc(23)*Cc(29)/Kb(1)); 

% Phosphoglucomutase:         G1P<---> G6P 
fact(2) = 1;          %negect G1P and corresponding reaction 

% UDP-glucose pyrophosphorylase +glycogen synthase:  G6P + ATP + Gly_n + H2O-> Gly_n+1 + ADP+ 2Pi
fact(3) = Ctrl(3)* (Cc(9)*Cc(22)*Cc(11) - Cc(11)*Cc(23)*Cc(25)^2/Keq_0(3))/...
          (1 + Cc(9)*Cc(22)*Cc(11)/Kf(3)+ Cc(11)*Cc(23)*Cc(25)^2/Kb(3));

%Glycogen phosphorylase:      Gly(n+1)+Pi->Gly(n)+ G6P
Ctrl(4) = (Cc(24)/Cc(22))^nH(4)/(Km(4)^nH(4) +(Cc(24)/Cc(22))^nH(4));
%Ctrl(4) = (Cc(24))^nH(4)/(Km(4)^nH(4) +(Cc(24))^nH(4));
fact(4) = Ctrl(4)*(Cc(11)*Cc(25) - Cc(11)*Cc(9)/Keq_0(4))/(1 + Cc(11)*Cc(25)/Kf(4) + Cc(11)*Cc(9)/Kb(4)); 

% Phosphoglucose isomerase:   G6P->F6P
fact(5) = Ctrl(5)*(Cc(9) - Cc(12)/Keq_0(5))/(1 + Cc(9)/Kf(5) + Cc(12)/Kb(5)) ;
 
% Phosphofructokinase:        F6P+ATP->F16BP+ADP+H
Ctrl(6) = (Cc(24))^nH(6)/(Km(6)^nH(6) + (Cc(24))^nH(6));
%Ctrl(6) = (Cc(24))^nH(6)/(Km(6)^nH(6) + (Cc(24))^nH(6));
fact(6) = Ctrl(6)*(Cc(12)*Cc(22) - Cc(13)*Cc(23)*Cc(29)/Keq_0(6))/(1+ Cc(12)*Cc(22)/Kf(6) + Cc(13)*Cc(23)*Cc(29)/Kb(6));
 
% Aldolase +Triose phosphate isomerase      F16BP<--->2GA3P
fact(7) = Ctrl(7)*(Cc(13) - Cc(14)^2/Keq_0(7))/(1+Cc(13)/Kf(7) + Cc(14)^2/Kb(7)); 

% Glyceraldehyde 3-phosphate dehydrogenase: GA3P+Pi+NAD->13BPG+NADH + H
fact(8) = Ctrl(8)*(Cc(14)*Cc(25)*Cc(28) - Cc(15)*Cc(27)*Cc(29)/Keq_0(8))/(1+Cc(14)*Cc(25)*Cc(28)/Kf(8)+Cc(15)*Cc(27)*Cc(29)/Kb(8));

% Phosphoglycerate kinase:     13BPG +ADP-> PEP +ATP +H2O
fact(9) = Ctrl(9)*(Cc(15)*Cc(23) - Cc(16)*Cc(22)/Keq_0(9))/(1+Cc(15)*Cc(23)/Kf(9) + Cc(16)*Cc(22)/Kb(9));
 
% Pyruvate kinase:              PEP + ADP + H<--->Pyr +ATP
Ctrl(10) = (Cc(13)^nH(10)/(Km(10)^nH(10) + Cc(13))^nH(10));
fact(10) = Ctrl(10)*(Cc(16)*Cc(23)*Cc(29) - Cc(2)*Cc(22)/Keq_0(10))/(1+Cc(16)*Cc(23)*Cc(29)/Kf(10) + Cc(2)*Cc(22)/Kb(10));         
 
% Lactate dehydrogenase:        Pyr+NADH+H -> Lac+NAD
fact(11) = Ctrl(11)*(Cc(2)*Cc(27)*Cc(29) - Cc(3)*Cc(28)/Keq_0(11))/(1+Cc(2)*Cc(27)*Cc(29)/Kf(11) + Cc(3)*Cc(28)/Kb(11));     
 
%-----------------------------
% Fluxes in Lipid Metabolism
% Lipases:                      TGl -> 3FFA + Glr + 3H 
fact(12) = Ctrl(12)*(Cc(17) - Cc(5)* Cc(6)^3*Cc(29)^3/Keq_0(12))/(1+ Cc(17)/Kf(12) + Cc(5)* Cc(6)^3*Cc(29)^3/Kb(12));

% Glycerol 3-phosphate dehydrogenase:  GA3P + NADH + H-> G3P+NAD
%fact(13) = Ctrl(13)*(Cc(14)*Cc(27))/(1 + Cc(14)*Cc(27)/Kf(13) + Cc(18)*Cc(28)/Kb(13));
fact(13) = Ctrl(13)*(Cc(14)*Cc(27)*Cc(29) - Cc(18)*Cc(28)/Keq_0(13))/(1 + Cc(14)*Cc(27)*Cc(29)/Kf(13) + Cc(18)*Cc(28)/Kb(13));

% Acyltransferase:              Gr3P+3FAC->Tgl+3CoA +Pi
fact(14) = Ctrl(14)*(Cc(18)*Cc(19)^3 - Cc(17)* Cc(26)^3 *Cc(25)/Keq_0(14))/(1+Cc(18)*Cc(19)^3/Kf(14) + Cc(17)* Cc(26)^3 *Cc(25)/Kb(14)); 
 
% Acyl-CoA synthetase:          FFA +CoA +2ATP ->FAC+2ADP+2Pi+2H
%fact(15) = Ctrl(15)*(Cc(6)*Cc(26)*Cc(22)^2)/(1+Cc(6)*Cc(26)*Cc(22)/Kf(15) + Cc(19)*Cc(24)*Cc(25)^2/Kb(15));  
fact(15) = Ctrl(15)*(Cc(6)*Cc(26)*Cc(22)^2 - Cc(19)*Cc(23)^2*Cc(25)^2*Cc(29)^2/Keq_0(15))/...
           (1+Cc(6)*Cc(26)*Cc(22)^2/Kf(15) + Cc(19)*Cc(23)^2*Cc(25)^2*Cc(29)^2/Kb(15));    

% Fluxes of Energetics:
% ATPase:                       ATP -> ADP + Pi + H+
%fact(16) = Ctrl(16)*Cc(22)/(1 + Cc(22)/Kf(16) + Cc(23)*Cc(25)/Kb(16)); 
fact(16) = Ctrl(16)*(Cc(22) - Cc(23)*Cc(25)*Cc(29)/Keq_0(16))/(1 + Cc(22)/Kf(16) + Cc(23)*Cc(25)*Cc(29)/Kb(16)); 

% Adenylate kinase:             ATP + AMP<-> 2ADP
fact(17) = Ctrl(17)*(Cc(22)*Cc(24) - Cc(23)^2/Keq_0(17))/(1 + Cc(22)*Cc(24)/Kf(17) + Cc(23)^2/Kb(17));

% Creatine kinase:              PCr + ADP + H <-> Cr+ATP
fact(18) = Ctrl(18)*(Cc(20)*Cc(23)*Cc(29) - Cc(21)*Cc(22)/Keq_0(18))/(1 + Cc(20)*Cc(23)*Cc(29)/Kf(18)+ Cc(21)*Cc(22)/Kb(18));

% Fluxes in Amino Acid Metabolism
% Alanine aminotransferase:       Pyr -> Ala 
fact(19) = Ctrl(19)*(Cc(2) - Cc(4)/Keq_0(19))/(1+Cc(2)/Kf(19) + Cc(4)/Kb(19));
%--------------------------------------------------------------------------
% Fluxes in Mitochondria
%--------------------------------------------------------------------------
% Fluxes into TCA Cycle
% Pyruvate dehydrogenase:         Pyr +H2O+CoA+NAD<--->NADH + ACoA +CO2 +H
Ctrl(20) = (Cc(37)/Cc(36))^nH(20)/(Km(20)^nH(20) + (Cc(37)/Cc(36))^nH(20));
fact(20) = Ctrl(20)*(Cc(32)*Cc(39)*Cc(35) - Cc(34)*Cc(41)*Cc(31)*Cc(40)/Keq_0(20))/...
            (1+ Cc(32)*Cc(39)*Cc(35)/Kf(20) + Cc(34)*Cc(41)*Cc(31)*Cc(40)/Kb(20));

% Fatty acyl-CoA oxidation:       FAC + 7CoA + 7NAD+7FAD -> 8ACoA + 7NADH + 7FADH2 + 7H
fact(21) = Ctrl(21)* (Cc(33)*Cc(39)*Cc(35)*Cc(49) - Cc(41)*Cc(34)*Cc(48)*Cc(40)/Keq_0(21))/...
           (1+Cc(33)* Cc(39)*Cc(35) * Cc(49)/Kf(21) + Cc(41)*Cc(34)*Cc(48)*Cc(40)/Kb(21));

%  fact(21) = Ctrl(21)* (Cc(33)*Cc(39)^7*Cc(35)^7*Cc(49)^7 - Cc(41)^8*Cc(34)^7*Cc(48)^7*Cc(40)^7/Keq_0(21))/...
%             (1+Cc(33)* Cc(39)^7*Cc(35)^7 * Cc(49)^7/Kf(21) + Cc(41)^8*Cc(34)^7*Cc(48)^7*Cc(40)^7/Kb(21));

%------------------------------------------------------------
% Fluxes in TCA Cycle
% Citrate synthase:               ACoA + Oxa-> Cit +CoA + H
Ctrl(22) = (Cc(37)/Cc(36))^nH(22)/(Km(22)^nH(22) + (Cc(37)/Cc(36))^nH(22));
fact(22) = Ctrl(22)*(Cc(41)*Cc(47) - Cc(42)*Cc(39)*Cc(40)/Keq_0(22))/(1 + Cc(41)*Cc(47)/Kf(22) + Cc(42)*Cc(39)*Cc(40)/Kb(22));

% Isocitrate dehydrogenase:       Cit + NAD+H2O-> AKG +NADH + CO2
Ctrl(23) = (Cc(37)/Cc(36))^nH(23)/(Km(23)^nH(23)+ (Cc(37)/Cc(36))^nH(23));
fact(23) = Ctrl(23)*(Cc(42)*Cc(35) - Cc(43)*Cc(34)*Cc(31)/Keq_0(23))/(1+Cc(42)*Cc(35)/Kf(23)+ Cc(43)*Cc(34)*Cc(31)/Kb(23));

% a-Ketoglutarate dehydrogenase:  AKG + CoA + NAD -> SCoA + NADH + CO2
%fact(24) = Ctrl(24)*(Cc(43)*Cc(39)*Cc(35))/(1+Cc(43)*Cc(39)*Cc(35)/Kf(24) + Cc(44)*Cc(34)*Cc(31)/Kb(24));
fact(24) = Ctrl(24)*(Cc(43)*Cc(39)*Cc(35) - Cc(44)*Cc(34)*Cc(31)/Keq_0(24))/(1+Cc(43)*Cc(39)*Cc(35)/Kf(24) + Cc(44)*Cc(34)*Cc(31)/Kb(24));

% Succinyl-CoA synthetase:        SCoA + ADP +Pi -> Suc +CoA +ATP
fact(25) = Ctrl(25)*(Cc(44)*Cc(37)*Cc(38) - Cc(45)*Cc(39)*Cc(36)/Keq_0(25))/...
           (1+ Cc(44)*Cc(37)*Cc(38)/Kf(25) + Cc(45)*Cc(39)*Cc(36)/Kb(25));        

% Succinate dehydrogenase:        Succ +FAD+H2O -> Mal +FADH2
fact(26) = Ctrl(26)*(Cc(45)*Cc(49) - Cc(46)*Cc(48)/Keq_0(26))/(1+Cc(45)*Cc(49)/Kf(26) + Cc(46)*Cc(48)/Kb(26));

% Malate dehydrogenase:           Mal + NAD-> Oxa +NADH + H+
fact(27) = Ctrl(27)*(Cc(46)*Cc(35) - Cc(47)*Cc(34)*Cc(40)/Keq_0(27))/(1+Cc(46)*Cc(35)/Kf(27) + Cc(47)*Cc(34)*Cc(40)/Kb(27));
%--------------------------------------------------------------------------
% 8. Fluxes in Oxidative Phosphorylation
F   = 96485;                  %Faraday 's constant [coulomb/mole]
nA  = 3;                     %Assume 3 protons are needed to synthesize 1 ATP 
R   = 8.314;
T   = 310.15;
DeltaGH = F*Cc(50)+ R*T*log(Cc(29)/Cc(40));   %Proton motive energy

% Complex 1:               NADH + H +0.5O2->NAD + H2O
Ctrl(28)=exp((-10*DeltaGH/(R*T)));
fact(28) = (Ctrl(28)* Cc(34)*Cc(30)^0.5*Cc(40) - Cc(35)/Keq_0(28))/(1 + Cc(34)*Cc(30)^0.5*Cc(40)/Kf(28) + Cc(35)/Kb(28));

% Complex 2:               FADH2+ H +0.5O2->FAD + H2O 
Ctrl(29)=exp((-6*DeltaGH/(R*T)));
fact(29) = (Ctrl(29)*Cc(48)*Cc(30)^0.5 - Cc(49)/Keq_0(29))/(1 + Cc(48)*Cc(30)^0.5/Kf(29) + Cc(49)/Kb(29));

%---------------------------------
% ATP Synthase:            H + ADP + Pi+ 3delataH ->ATP
%fact(30) = Ctrl()* Cc(37)*Cc(38) - Cc(36)/Keq_0(30);
Ctrl(30)= exp((nA*DeltaGH)/(R*T));    % 36030 J/mol is the Gibbs free energy for ATP synthesis
%note here Proton in cytosol and mitochondria is assumed constant
fact(30) = (Ctrl(30)*Cc(37)*Cc(38)*Cc(40)-Cc(36)/Keq_0(30))/(1 + Cc(37)*Cc(38)*Cc(40)/Kf(30) + Cc(36)/Kb(30));
%------------------------------------
% H Leakage:               H_Im<->H_m 
fact(31) = Ctrl(31)*Cc(29)/Cc(40);

%**************************************************************************
%  This section is to calculate the Vmaxf and Vmaxb 
%**************************************************************************
Vmaxf = Rflux ./fact .*Kf;                    
Vmaxb = (Vmaxf.*Kb)./(Kf.*Keq_0); 

Vmaxf(18) = 200; 
Vmaxb(18)= Vmaxf(18)*Kb(18)/(Kf(18)*Keq_0(18));

Vmaxf(17) = 200; 
Vmaxb(17)= Vmaxf(17)*Kb(17)/(Kf(17)*Keq_0(17));

%----------- Rflux2 is no use, which is given a arbitrary value 
Vmaxf(2)=1;
Vmaxb(2)=1;

%**************************************************************************
%                 End of subroutine 
%**************************************************************************
